package _12_数组练习;

import java.util.Random;

public class Test4 {
    public static void main(String[] args) {
        /**
         * 需求：生成10个1~100之间的随机数存入数组
         * 1）求出所有数据的和
         * 2）求所有数据的平均数
         * 3）统计有多少个数据比平均值小
         */

        //1 创建出来一个数组长度为10
        int[] arr = new int[10];
        //2 遍历数组
        for (int i = 0; i < arr.length; i++) {
            Random random = new Random();
            // 1-100 随机数
            int randomNumber = random.nextInt(100)+1;
            //3 创建随机数存到数组中
            arr[i] = randomNumber;
        }

        // 计算所有数据总和
        int sum = 0;
        for (int i = 0; i < arr.length; i++) {
            sum += arr[i];
        }

        System.out.println("总和为:" + sum);
        int avg = sum / arr.length;
        System.out.println("平均数为:"+ avg);

        // 统计比平均数小的数字
        int count = 0;
        for (int i = 0; i < arr.length; i++) {
            if(arr[i] < avg){
                count++;
            }
        }
        System.out.println("比平均数小的值有"+ count +"个");



    }
}
